package com.usky.sas.service.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(
        ignoreUnknown = true
)
public class PatrolEventResult {
    private String method;
    private String id;
    private Integer eventCode;

    public PatrolEventResult() {
    }

    public String getMethod() {
        return this.method;
    }

    public String getId() {
        return this.id;
    }

    public Integer getEventCode() {
        return this.eventCode;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setEventCode(Integer eventCode) {
        this.eventCode = eventCode;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PatrolEventResult)) {
            return false;
        } else {
            PatrolEventResult other = (PatrolEventResult)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$method = this.getMethod();
                Object other$method = other.getMethod();
                if (this$method == null) {
                    if (other$method != null) {
                        return false;
                    }
                } else if (!this$method.equals(other$method)) {
                    return false;
                }

                Object this$id = this.getId();
                Object other$id = other.getId();
                if (this$id == null) {
                    if (other$id != null) {
                        return false;
                    }
                } else if (!this$id.equals(other$id)) {
                    return false;
                }

                Object this$eventCode = this.getEventCode();
                Object other$eventCode = other.getEventCode();
                if (this$eventCode == null) {
                    if (other$eventCode != null) {
                        return false;
                    }
                } else if (!this$eventCode.equals(other$eventCode)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof PatrolEventResult;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $method = this.getMethod();
        result = result * 59 + ($method == null ? 43 : $method.hashCode());
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $eventCode = this.getEventCode();
        result = result * 59 + ($eventCode == null ? 43 : $eventCode.hashCode());
        return result;
    }

    public String toString() {
        return "PatrolEventResult(method=" + this.getMethod() + ", id=" + this.getId() + ", eventCode=" + this.getEventCode() + ")";
    }
}
